package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ActiveDataTrendVO {

    /**
     * 活活跃人数（注册留存数据）
     */
    @ApiModelProperty(notes = "活跃人数（注册留存数据）")
    private Long activeNum;

    /**
     * 留存率（注册留存数据）
     */
    @ApiModelProperty(notes = "留存率（注册留存数据）")
    private BigDecimal regActiveRate;

    /**
     * 第N天的新用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "第N天的新用户数（付费留存数据）")
    private Long newUserNum;

    /**
     * 第N天的老用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "第N天的老用户数（付费留存数据）")
    private Long oldUserNum;

    /**
     * 累计到第N天的新用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的新用户数（付费留存数据）")
    private Long newUserTotalNum;

    /**
     * 付费留存率（付费留存数据）
     */
    @ApiModelProperty(notes = "付费留存率（付费留存数据）")
    private BigDecimal amountActiveRate;

}
